/* Walking_robot
 * Egyszerű lépegető robot két szervóval
 * A mellső szervó P1_4-re, a hátsó szervó P1_5-re csatlakozik.
 * A program az alábbi írás alapján készült:
 * Link: http://blog.vinu.co.in/2012/06/two-servo-walking-robot-using-ti.html
 * 
 * Az assembly program Energia átiratát készítette:
 * I. Cserny, cserny@atomki.hu
 */
#include <Servo.h>
Servo servoA, servoB;              //Objektum példányosítás

void setup() {
  servoA.attach(6,640,2400); //Inicializálás határértékek megadásával
  servoB.attach(7,640,2400); //Inicializálás határértékek megadásával  
}

void loop() {
    walk_forward(5);
    stop_idle();
    delay(2000);
    walk_reverse(5);
    stop_idle();
    delay(2000);    
}

void walk_forward(int n) {
  for(int i=0; i<n; i++) {
    servoA.writeMicroseconds(1000);
    delay(200);   
    servoB.writeMicroseconds(1000);
    delay(200);    
    servoA.writeMicroseconds(2000);
    delay(200);   
    servoB.writeMicroseconds(2000);
    delay(200);   
  }
}  

void walk_reverse(int n) {
  for(int i=0; i<n; i++) {
    servoB.writeMicroseconds(1000);
    delay(200);   
    servoA.writeMicroseconds(1000);
    delay(200);    
    servoB.writeMicroseconds(2000);
    delay(200);   
    servoA.writeMicroseconds(2000);
    delay(200);   
  }
}    

void stop_idle(void) {
    servoB.writeMicroseconds(1500);
    delay(200);   
    servoA.writeMicroseconds(1500);
    delay(200);   
} 
